petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmRegisterPetscDatatypeField

Register a field to a DMSwarm with a native PETSc data type

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmRegisterPetscDatatypeField(DM dm,const char fieldname[],PetscInt blocksize,PetscDataType type)

Collective on dm

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name to identify this field
| blocksize | - the number of each data type
| type | - a valid PETSc data type (PETSC_CHAR, PETSC_SHORT, PETSC_INT, PETSC_FLOAT, PETSC_REAL, PETSC_LONG)

### Notes

The textual name for each registered field must be unique.

### See Also

DMSwarmRegisterUserStructField(), DMSwarmRegisterUserDatatypeField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages